Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.util
Interface BlojsomConstants

All Known Implementing Classes:
  BlojsomUtils

public interface BlojsomConstants

BlojsomConstants

Since:
  blojsom 3.0
Version:
  $Id: BlojsomConstants.java,v 1.12 2006/05/12 17:46:37 czarneckid Exp $
Author:
  David Czarnecki, Mark Lussier

Field Summary
`static java.lang.String` | `BLOG_ADMIN_URL_IP`
`static java.lang.String` | `BLOG_ADMINISTRATION_LOCALE_IP`
`static java.lang.String` | `BLOG_AUTHORIZATION_IP`
`static java.lang.String` | `BLOG_BASE_URL_IP`
`static java.lang.String` | `BLOG_COMMENTS_ENABLED_IP`
`static java.lang.String` | `BLOG_COUNTRY_DEFAULT` Default country for blog if none supplied (US)
`static java.lang.String` | `BLOG_COUNTRY_IP`
`static java.lang.String` | `BLOG_DEFAULT_FLAVOR_IP`
`static java.lang.String` | `BLOG_DEFAULT_TIMEZONE` Default time zone (America/New_York)
`static java.lang.String` | `BLOG_DEPTH_IP`
`static java.lang.String` | `BLOG_DESCRIPTION_IP`
`static java.lang.String` | `BLOG_EMAIL_ENABLED_IP`
`static int` | `BLOG_ENTRIES_DISPLAY_DEFAULT` Default number of blog entries to display
`static java.lang.String` | `BLOG_ENTRIES_DISPLAY_IP`
`static java.lang.String` | `BLOG_ID_PARAM` Request parameter for the "blog id"
`static java.lang.String` | `BLOG_LANGUAGE_DEFAULT` Default language for blog if none supplied (en)
`static java.lang.String` | `BLOG_LANGUAGE_IP`
`static java.lang.String` | `BLOG_NAME_IP`
`static java.lang.String` | `BLOG_OWNER`
`static java.lang.String` | `BLOG_OWNER_EMAIL`
`static java.lang.String` | `BLOG_PINGBACKS_ENABLED_IP`
`static java.lang.String` | `BLOG_TRACKBACKS_ENABLED_IP`
`static java.lang.String` | `BLOG_URL_IP`
`static java.lang.String` | `BLOGS_DIRECTORY_IP`
`static java.lang.String` | `BLOJSOM_AJAX_STATUS`
`static java.lang.String` | `BLOJSOM_ALL_CATEGORIES` Key under which all the blog categories will be placed (example: on the request for the JSPDispatcher)
`static java.lang.String` | `BLOJSOM_APPLICATION_CONTEXT`
`static java.lang.String` | `BLOJSOM_BLOG` Key under which blog information will be placed (example: on the request for the JSPDispatcher)
`static java.lang.String` | `BLOJSOM_BLOG_ID` Key under which the blog id will be placed (example: on the request for the JSPDispatcher)
`static java.lang.String` | `BLOJSOM_CATEGORIES` Key under which the blog categories will be placed (example: on the request for the JSPDispatcher)
`static java.lang.String` | `BLOJSOM_COMMENTAPI_APPLICATION_CONTEXT`
`static java.lang.String` | `BLOJSOM_DATE` Key under which the date (RFC 822 format) of the blog will be placed (example: on the request for the JSPDispatcher)
`static java.lang.String` | `BLOJSOM_DATE_ISO8601` Key under which the date (ISO 8601 format) of the blog will be placed (example: on the request for the JSPDispatcher)
`static java.lang.String` | `BLOJSOM_DATE_OBJECT` Key under which the date object of the blog will be placed (example: on the request for the JSPDispatcher)
`static java.lang.String` | `BLOJSOM_DATE_UTC` Key under which the date (UTC format) of the blog will be placed (example: on the request for the JSPDispatcher)
`static java.lang.String` | `BLOJSOM_ENTRIES` Key under which the blog entries will be placed (example: on the request for the JSPDispatcher)
`static java.lang.String` | `BLOJSOM_LAST_MODIFIED` Key under which the lastmodified date of the blog will be placed (example: on the request for the JSPDispatcher)
`static java.lang.String` | `BLOJSOM_PERMALINK` Key under which the permalink value will be placed.
`static java.lang.String` | `BLOJSOM_PERMALINK_NEXT_ENTRY` Key under which the next entry after the permalink value will be placed.
`static java.lang.String` | `BLOJSOM_PERMALINK_PREVIOUS_ENTRY` Key under which the previous entry after the permalink value will be placed.
`static java.lang.String` | `BLOJSOM_PLUGIN_CHAIN`
`static java.lang.String` | `BLOJSOM_PLUGINS` Key under which the plugins will be placed (example: in the context for the Velocity dispatcher)
`static java.lang.String` | `BLOJSOM_REQUESTED_CATEGORY` Key under which the requested category will be placed (example: on the request for the JSPDispatcher)
`static java.lang.String` | `BLOJSOM_REQUESTED_FLAVOR` Key under which the blojsom requested flavor string will be placed (example: in the context for the Velocity dispatcher)
`static java.lang.String` | `BLOJSOM_SITE_URL` Key under which the blog site will be placed (example: on the request for the JSPDispatcher)
`static java.lang.String` | `BLOJSOM_VERSION` Key under which the blojsom version string will be placed (example: on the request for the JSP dispatcher)
`static java.lang.String` | `BLOJSOM_VERSION_NUMBER` blojsom version
`static java.lang.String` | `BLOJSOM_XMLRPC_APPLICATION_CONTEXT`
`static java.lang.String` | `BOOTSTRAP_DIRECTORY_IP`
`static java.lang.String` | `CACHE_CONTROL_HTTP_HEADER`
`static java.lang.String` | `CATEGORY_PARAM` Request parameter for the "category"
`static java.lang.String` | `DEFAULT_BLOG_IP`
`static java.lang.String` | `DEFAULT_BLOGS_DIRECTORY`
`static java.lang.String` | `DEFAULT_BOOTSTRAP_DIRECTORY`
`static java.lang.String` | `DEFAULT_CONFIGURATION_BASE_DIRECTORY`
`static java.lang.String` | `DEFAULT_DIGEST_ALGORITHM`
`static java.lang.String` | `DEFAULT_FLAVOR_HTML` Default flavor for blojsom if none is requested or the flavor requested is invalid
`static java.lang.String` | `DEFAULT_POST_CATEGORY`
`static int` | `DEFAULT_RECENT_COMMENTS_COUNT`
`static int` | `DEFAULT_RECENT_PINGBACKS_COUNT`
`static int` | `DEFAULT_RECENT_TRACKBACKS_COUNT`
`static java.lang.String` | `DEFAULT_RESOURCES_DIRECTORY`
`static java.lang.String` | `DEFAULT_TEMPLATES_DIRECTORY`
`static java.lang.String` | `DIGEST_ALGORITHM`
`static java.lang.String` | `FAILURE`
`static java.lang.String` | `FLAVOR_PARAM` Request parameter for the requested "flavor"
`static java.lang.String` | `HTTP_ETAG` HTTP Header Name representing the ETag of the blog
`static java.lang.String` | `HTTP_LASTMODIFIED` HTTP Header Name representing the Last Modified Timstamp of the blog (GMT Based)
`static int` | `INFINITE_BLOG_DEPTH` Value indicating all subdirectories under the blog home should be searched
`static java.lang.String` | `INSTALLED_LOCALES_IP`
`static java.lang.String` | `ISO_8601_DATE_FORMAT` ISO 8601 style date format ISO 8601 [W3CDTF] date format (used in rdf flavor)
`static java.lang.String` | `LINE_SEPARATOR` Line separator for the system
`static java.lang.String` | `LINEAR_NAVIGATION_ENABLED_IP`
`static int` | `MAX_HASHABLE_LENGTH` If a entry is longer that this length, then when any content hashing is performed, it is truncated to this size.
`static java.lang.String` | `NO_CACHE_HTTP_HEADER_VALUE`
`static java.lang.String` | `OVERRIDE_LASTMODIFIED_PARAM` Request parameter value for not toggling LastModfied and ETag fromgetting generated
`static java.lang.String` | `PAGE_NUMBER_PARAM`
`static java.lang.String` | `PAGE_PARAM` Request parameter for the "page"
`static java.lang.String` | `PAGE_PARAM_ARCHIVE` Request parameter value for the archive page
`static java.lang.String` | `PERMALINK_PARAM` Request parameter for a "permalink"
`static java.lang.String` | `PLUGINS_PARAM` Request parameter for the "plugins"
`static java.lang.String` | `PRAGMA_HTTP_HEADER` Various HTTP caching headers
`static java.lang.String` | `PREFERRED_SYNDICATION_FLAVOR`
`static java.lang.String` | `RECENT_COMMENTS_COUNT`
`static java.lang.String` | `RECENT_PINGBACKS_COUNT`
`static java.lang.String` | `RECENT_TRACKBACKS_COUNT`
`static java.lang.String` | `RECURSIVE_CATEGORIES`
`static java.lang.String` | `REDIRECT_TO_PARAM`
`static java.lang.String` | `RESOURCE_MANAGER_CONTEXT_KEY` Key under which the resource manager will be placed (example: in the context for the Velocity dispatcher)
`static java.lang.String` | `RESOURCES_DIRECTORY_IP`
`static java.lang.String` | `RFC_822_DATE_FORMAT` RFC 822 style date format
`static java.lang.String` | `SHORT_ISO_8601_DATE_FORMAT` Short ISO 8601 style date format
`static java.lang.String` | `SUCCESS`
`static java.lang.String` | `TEMPLATES_DIRECTORY_IP`
`static java.lang.String` | `USE_DYNAMIC_BLOG_URLS`
`static java.lang.String` | `USE_ENCRYPTED_PASSWORDS`
`static java.lang.String` | `USE_RICHTEXT_EDITOR`
`static java.lang.String` | `UTC_DATE_FORMAT` UTC style date format
`static java.lang.String` | `UTF8` UTF-8 encoding
`static java.lang.String` | `WHITESPACE`
`static java.lang.String` | `XMLRPC_ENABLED_IP`

Field Detail

### BLOJSOM_VERSION_NUMBER

    public static final java.lang.String BLOJSOM_VERSION_NUMBER

  blojsom version

  See Also:
    Constant Field Values

### BLOJSOM_BLOG

    public static final java.lang.String BLOJSOM_BLOG

  Key under which blog information will be placed (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_ENTRIES

    public static final java.lang.String BLOJSOM_ENTRIES

  Key under which the blog entries will be placed (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_CATEGORIES

    public static final java.lang.String BLOJSOM_CATEGORIES

  Key under which the blog categories will be placed (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_ALL_CATEGORIES

    public static final java.lang.String BLOJSOM_ALL_CATEGORIES

  Key under which all the blog categories will be placed (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_DATE

    public static final java.lang.String BLOJSOM_DATE

  Key under which the date (RFC 822 format) of the blog will be placed (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_DATE_ISO8601

    public static final java.lang.String BLOJSOM_DATE_ISO8601

  Key under which the date (ISO 8601 format) of the blog will be placed (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_DATE_OBJECT

    public static final java.lang.String BLOJSOM_DATE_OBJECT

  Key under which the date object of the blog will be placed (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_DATE_UTC

    public static final java.lang.String BLOJSOM_DATE_UTC

  Key under which the date (UTC format) of the blog will be placed (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_SITE_URL

    public static final java.lang.String BLOJSOM_SITE_URL

  Key under which the blog site will be placed (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_PERMALINK

    public static final java.lang.String BLOJSOM_PERMALINK

  Key under which the permalink value will be placed. This is used to allow templates to generate trackback auto-discovery fragments. (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_PERMALINK_NEXT_ENTRY

    public static final java.lang.String BLOJSOM_PERMALINK_NEXT_ENTRY

  Key under which the next entry after the permalink value will be placed. This is used to allow templates to generate linear post navigation links. (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_PERMALINK_PREVIOUS_ENTRY

    public static final java.lang.String BLOJSOM_PERMALINK_PREVIOUS_ENTRY

  Key under which the previous entry after the permalink value will be placed. This is used to allow templates to generate linear post navigation links. (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_REQUESTED_CATEGORY

    public static final java.lang.String BLOJSOM_REQUESTED_CATEGORY

  Key under which the requested category will be placed (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_LAST_MODIFIED

    public static final java.lang.String BLOJSOM_LAST_MODIFIED

  Key under which the lastmodified date of the blog will be placed (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_BLOG_ID

    public static final java.lang.String BLOJSOM_BLOG_ID

  Key under which the blog id will be placed (example: on the request for the JSPDispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_VERSION

    public static final java.lang.String BLOJSOM_VERSION

  Key under which the blojsom version string will be placed (example: on the request for the JSP dispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_REQUESTED_FLAVOR

    public static final java.lang.String BLOJSOM_REQUESTED_FLAVOR

  Key under which the blojsom requested flavor string will be placed (example: in the context for the Velocity dispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_PLUGINS

    public static final java.lang.String BLOJSOM_PLUGINS

  Key under which the plugins will be placed (example: in the context for the Velocity dispatcher)

  See Also:
    Constant Field Values

### RESOURCE_MANAGER_CONTEXT_KEY

    public static final java.lang.String RESOURCE_MANAGER_CONTEXT_KEY

  Key under which the resource manager will be placed (example: in the context for the Velocity dispatcher)

  See Also:
    Constant Field Values

### BLOJSOM_APPLICATION_CONTEXT

    public static final java.lang.String BLOJSOM_APPLICATION_CONTEXT

See Also:
  Constant Field Values

### BLOJSOM_XMLRPC_APPLICATION_CONTEXT

    public static final java.lang.String BLOJSOM_XMLRPC_APPLICATION_CONTEXT

See Also:
  Constant Field Values

### BLOJSOM_COMMENTAPI_APPLICATION_CONTEXT

    public static final java.lang.String BLOJSOM_COMMENTAPI_APPLICATION_CONTEXT

See Also:
  Constant Field Values

### UTF8

    public static final java.lang.String UTF8

  UTF-8 encoding

  See Also:
    Constant Field Values

### DEFAULT_FLAVOR_HTML

    public static final java.lang.String DEFAULT_FLAVOR_HTML

  Default flavor for blojsom if none is requested or the flavor requested is invalid

  See Also:
    Constant Field Values

### FLAVOR_PARAM

    public static final java.lang.String FLAVOR_PARAM

  Request parameter for the requested "flavor"

  See Also:
    Constant Field Values

### PERMALINK_PARAM

    public static final java.lang.String PERMALINK_PARAM

  Request parameter for a "permalink"

  See Also:
    Constant Field Values

### PLUGINS_PARAM

    public static final java.lang.String PLUGINS_PARAM

  Request parameter for the "plugins"

  See Also:
    Constant Field Values

### PAGE_PARAM

    public static final java.lang.String PAGE_PARAM

  Request parameter for the "page"

  See Also:
    Constant Field Values

### PAGE_PARAM_ARCHIVE

    public static final java.lang.String PAGE_PARAM_ARCHIVE

  Request parameter value for the archive page

  See Also:
    Constant Field Values

### OVERRIDE_LASTMODIFIED_PARAM

    public static final java.lang.String OVERRIDE_LASTMODIFIED_PARAM

  Request parameter value for not toggling LastModfied and ETag fromgetting generated

  See Also:
    Constant Field Values

### CATEGORY_PARAM

    public static final java.lang.String CATEGORY_PARAM

  Request parameter for the "category"

  See Also:
    Constant Field Values

### BLOG_ID_PARAM

    public static final java.lang.String BLOG_ID_PARAM

  Request parameter for the "blog id"

  See Also:
    Constant Field Values

### INFINITE_BLOG_DEPTH

    public static final int INFINITE_BLOG_DEPTH

  Value indicating all subdirectories under the blog home should be searched

  See Also:
    Constant Field Values

### BLOG_LANGUAGE_DEFAULT

    public static final java.lang.String BLOG_LANGUAGE_DEFAULT

  Default language for blog if none supplied (en)

  See Also:
    Constant Field Values

### BLOG_COUNTRY_DEFAULT

    public static final java.lang.String BLOG_COUNTRY_DEFAULT

  Default country for blog if none supplied (US)

  See Also:
    Constant Field Values

### BLOG_DEFAULT_TIMEZONE

    public static final java.lang.String BLOG_DEFAULT_TIMEZONE

  Default time zone (America/New_York)

  See Also:
    Constant Field Values

### BLOG_ENTRIES_DISPLAY_DEFAULT

    public static final int BLOG_ENTRIES_DISPLAY_DEFAULT

  Default number of blog entries to display

  See Also:
    Constant Field Values

### HTTP_LASTMODIFIED

    public static final java.lang.String HTTP_LASTMODIFIED

  HTTP Header Name representing the Last Modified Timstamp of the blog (GMT Based)

  See Also:
    Constant Field Values

### HTTP_ETAG

    public static final java.lang.String HTTP_ETAG

  HTTP Header Name representing the ETag of the blog

  See Also:
    Constant Field Values

### RFC_822_DATE_FORMAT

    public static final java.lang.String RFC_822_DATE_FORMAT

  RFC 822 style date format

  See Also:
    Constant Field Values

### ISO_8601_DATE_FORMAT

    public static final java.lang.String ISO_8601_DATE_FORMAT

  ISO 8601 style date format ISO 8601 [W3CDTF] date format (used in rdf flavor)

  See Also:
    Constant Field Values

### SHORT_ISO_8601_DATE_FORMAT

    public static final java.lang.String SHORT_ISO_8601_DATE_FORMAT

  Short ISO 8601 style date format

  See Also:
    Constant Field Values

### UTC_DATE_FORMAT

    public static final java.lang.String UTC_DATE_FORMAT

  UTC style date format

  See Also:
    Constant Field Values

### MAX_HASHABLE_LENGTH

    public static final int MAX_HASHABLE_LENGTH

  If a entry is longer that this length, then when any content hashing is performed, it is truncated to this size. NOTE: This only truncates for hash.

  See Also:
    Constant Field Values

### LINE_SEPARATOR

    public static final java.lang.String LINE_SEPARATOR

  Line separator for the system

### DEFAULT_DIGEST_ALGORITHM

    public static final java.lang.String DEFAULT_DIGEST_ALGORITHM

See Also:
  Constant Field Values

### WHITESPACE

    public static final java.lang.String WHITESPACE

See Also:
  Constant Field Values

### REDIRECT_TO_PARAM

    public static final java.lang.String REDIRECT_TO_PARAM

See Also:
  Constant Field Values

### PAGE_NUMBER_PARAM

    public static final java.lang.String PAGE_NUMBER_PARAM

See Also:
  Constant Field Values

### BLOJSOM_AJAX_STATUS

    public static final java.lang.String BLOJSOM_AJAX_STATUS

See Also:
  Constant Field Values

### SUCCESS

    public static final java.lang.String SUCCESS

See Also:
  Constant Field Values

### FAILURE

    public static final java.lang.String FAILURE

See Also:
  Constant Field Values

### PRAGMA_HTTP_HEADER

    public static final java.lang.String PRAGMA_HTTP_HEADER

  Various HTTP caching headers

  See Also:
    Constant Field Values

### CACHE_CONTROL_HTTP_HEADER

    public static final java.lang.String CACHE_CONTROL_HTTP_HEADER

See Also:
  Constant Field Values

### NO_CACHE_HTTP_HEADER_VALUE

    public static final java.lang.String NO_CACHE_HTTP_HEADER_VALUE

See Also:
  Constant Field Values

### DEFAULT_BLOG_IP

    public static final java.lang.String DEFAULT_BLOG_IP

See Also:
  Constant Field Values

### TEMPLATES_DIRECTORY_IP

    public static final java.lang.String TEMPLATES_DIRECTORY_IP

See Also:
  Constant Field Values

### RESOURCES_DIRECTORY_IP

    public static final java.lang.String RESOURCES_DIRECTORY_IP

See Also:
  Constant Field Values

### DEFAULT_CONFIGURATION_BASE_DIRECTORY

    public static final java.lang.String DEFAULT_CONFIGURATION_BASE_DIRECTORY

See Also:
  Constant Field Values

### BLOGS_DIRECTORY_IP

    public static final java.lang.String BLOGS_DIRECTORY_IP

See Also:
  Constant Field Values

### DEFAULT_BLOGS_DIRECTORY

    public static final java.lang.String DEFAULT_BLOGS_DIRECTORY

See Also:
  Constant Field Values

### BOOTSTRAP_DIRECTORY_IP

    public static final java.lang.String BOOTSTRAP_DIRECTORY_IP

See Also:
  Constant Field Values

### DEFAULT_BOOTSTRAP_DIRECTORY

    public static final java.lang.String DEFAULT_BOOTSTRAP_DIRECTORY

See Also:
  Constant Field Values

### DEFAULT_TEMPLATES_DIRECTORY

    public static final java.lang.String DEFAULT_TEMPLATES_DIRECTORY

See Also:
  Constant Field Values

### DEFAULT_RESOURCES_DIRECTORY

    public static final java.lang.String DEFAULT_RESOURCES_DIRECTORY

See Also:
  Constant Field Values

### INSTALLED_LOCALES_IP

    public static final java.lang.String INSTALLED_LOCALES_IP

See Also:
  Constant Field Values

### BLOG_NAME_IP

    public static final java.lang.String BLOG_NAME_IP

See Also:
  Constant Field Values

### BLOG_DEPTH_IP

    public static final java.lang.String BLOG_DEPTH_IP

See Also:
  Constant Field Values

### BLOG_LANGUAGE_IP

    public static final java.lang.String BLOG_LANGUAGE_IP

See Also:
  Constant Field Values

### BLOG_COUNTRY_IP

    public static final java.lang.String BLOG_COUNTRY_IP

See Also:
  Constant Field Values

### BLOG_DESCRIPTION_IP

    public static final java.lang.String BLOG_DESCRIPTION_IP

See Also:
  Constant Field Values

### BLOG_URL_IP

    public static final java.lang.String BLOG_URL_IP

See Also:
  Constant Field Values

### BLOG_ADMIN_URL_IP

    public static final java.lang.String BLOG_ADMIN_URL_IP

See Also:
  Constant Field Values

### BLOG_BASE_URL_IP

    public static final java.lang.String BLOG_BASE_URL_IP

See Also:
  Constant Field Values

### BLOG_ENTRIES_DISPLAY_IP

    public static final java.lang.String BLOG_ENTRIES_DISPLAY_IP

See Also:
  Constant Field Values

### BLOG_AUTHORIZATION_IP

    public static final java.lang.String BLOG_AUTHORIZATION_IP

See Also:
  Constant Field Values

### BLOG_OWNER

    public static final java.lang.String BLOG_OWNER

See Also:
  Constant Field Values

### BLOG_OWNER_EMAIL

    public static final java.lang.String BLOG_OWNER_EMAIL

See Also:
  Constant Field Values

### BLOG_COMMENTS_ENABLED_IP

    public static final java.lang.String BLOG_COMMENTS_ENABLED_IP

See Also:
  Constant Field Values

### BLOG_TRACKBACKS_ENABLED_IP

    public static final java.lang.String BLOG_TRACKBACKS_ENABLED_IP

See Also:
  Constant Field Values

### BLOG_PINGBACKS_ENABLED_IP

    public static final java.lang.String BLOG_PINGBACKS_ENABLED_IP

See Also:
  Constant Field Values

### BLOG_EMAIL_ENABLED_IP

    public static final java.lang.String BLOG_EMAIL_ENABLED_IP

See Also:
  Constant Field Values

### BLOJSOM_PLUGIN_CHAIN

    public static final java.lang.String BLOJSOM_PLUGIN_CHAIN

See Also:
  Constant Field Values

### BLOG_DEFAULT_FLAVOR_IP

    public static final java.lang.String BLOG_DEFAULT_FLAVOR_IP

See Also:
  Constant Field Values

### LINEAR_NAVIGATION_ENABLED_IP

    public static final java.lang.String LINEAR_NAVIGATION_ENABLED_IP

See Also:
  Constant Field Values

### XMLRPC_ENABLED_IP

    public static final java.lang.String XMLRPC_ENABLED_IP

See Also:
  Constant Field Values

### BLOG_ADMINISTRATION_LOCALE_IP

    public static final java.lang.String BLOG_ADMINISTRATION_LOCALE_IP

See Also:
  Constant Field Values

### USE_ENCRYPTED_PASSWORDS

    public static final java.lang.String USE_ENCRYPTED_PASSWORDS

See Also:
  Constant Field Values

### DIGEST_ALGORITHM

    public static final java.lang.String DIGEST_ALGORITHM

See Also:
  Constant Field Values

### RECURSIVE_CATEGORIES

    public static final java.lang.String RECURSIVE_CATEGORIES

See Also:
  Constant Field Values

### PREFERRED_SYNDICATION_FLAVOR

    public static final java.lang.String PREFERRED_SYNDICATION_FLAVOR

See Also:
  Constant Field Values

### USE_DYNAMIC_BLOG_URLS

    public static final java.lang.String USE_DYNAMIC_BLOG_URLS

See Also:
  Constant Field Values

### RECENT_COMMENTS_COUNT

    public static final java.lang.String RECENT_COMMENTS_COUNT

See Also:
  Constant Field Values

### DEFAULT_RECENT_COMMENTS_COUNT

    public static final int DEFAULT_RECENT_COMMENTS_COUNT

See Also:
  Constant Field Values

### RECENT_TRACKBACKS_COUNT

    public static final java.lang.String RECENT_TRACKBACKS_COUNT

See Also:
  Constant Field Values

### DEFAULT_RECENT_TRACKBACKS_COUNT

    public static final int DEFAULT_RECENT_TRACKBACKS_COUNT

See Also:
  Constant Field Values

### RECENT_PINGBACKS_COUNT

    public static final java.lang.String RECENT_PINGBACKS_COUNT

See Also:
  Constant Field Values

### DEFAULT_RECENT_PINGBACKS_COUNT

    public static final int DEFAULT_RECENT_PINGBACKS_COUNT

See Also:
  Constant Field Values

### DEFAULT_POST_CATEGORY

    public static final java.lang.String DEFAULT_POST_CATEGORY

See Also:
  Constant Field Values

### USE_RICHTEXT_EDITOR

    public static final java.lang.String USE_RICHTEXT_EDITOR

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD